org.eclnt.jsfserver.elements.impl

## Class FIXGRIDBinding.TextSearcher

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.FIXGRIDBinding.TextSearcher

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    FIXGRIDBinding<itemClass extends FIXGRIDItem>

      public class FIXGRIDBinding.TextSearcher
      extends java.lang.Object
      implements java.io.Serializable

  Class that manages the search function within the grid. The grid provides a corresponding `FIXGRIDBinding.createTextSearcher()` and `FIXGRIDBinding.getTextSearcher()` method for create and find an instance of this class. In case you want to add an own implementation, extend your implementation from this class and override the createTextSearcher method.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextSearcher()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearSearchResult()`
    `protected java.util.List<itemClass>` | `findListOfItemsForSearch()` Find the list of items that is used for searching.
    `protected org.eclnt.jsfserver.elements.impl.FIXGRIDBinding.TextSearcher.SearchInfo` | `findNextSearchInfo(FIXGRIDItem selectedItem, boolean dirNext)` Find next search info.
    `boolean` | `getCaseSensitive()`
    `boolean` | `getFoundNextRow()` Boolean value that is set after each search.
    `java.lang.String` | `getSearchResult()` Result string that is shown within the grid functions' default popup.
    `java.lang.String` | `getText()`
    `void` | `onNext(ActionEvent event)` Method to be bound to the next-button.
    `void` | `onPrevious(ActionEvent event)` Method to be bound to the previous-button.
    `void` | `search(boolean dirNext)` Search within the grid's data for the string defined in set/getText().
    `void` | `setCaseSensitive(boolean value)`
    `void` | `setShowSearchInfoPopup(boolean showSearchInfoPopup)` By default search results (e.g.
    `void` | `setText(java.lang.String value)`
    `protected void` | `showSearchInfo(org.eclnt.jsfserver.elements.impl.FIXGRIDBinding.TextSearcher.SearchInfo searchInfo, boolean startFromScratch)` Displaying the search result.
    `protected void` | `showSearchInfoNoFurtherHits()` Message to the user that nothing was found from the last search postion on.
    `protected void` | `showSearchInfoNothingFound()` Message to the user that nothing was found.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextSearcher

          public TextSearcher()

  - ### Method Detail

    - #### setShowSearchInfoPopup

          public void setShowSearchInfoPopup(boolean showSearchInfoPopup)

      By default search results (e.g. "nothing found") are output into a field i_searchResult. You may show an additional OK-popup, showing the same message.

    - #### onNext

          public void onNext(ActionEvent event)

      Method to be bound to the next-button.

    - #### onPrevious

          public void onPrevious(ActionEvent event)

      Method to be bound to the previous-button.

    - #### search

          public void search(boolean dirNext)

      Search within the grid's data for the string defined in set/getText().

    - #### showSearchInfo

          protected void showSearchInfo(org.eclnt.jsfserver.elements.impl.FIXGRIDBinding.TextSearcher.SearchInfo searchInfo,
                                        boolean startFromScratch)

      Displaying the search result. If the search result is not null, then a corresponding grid item will be shown and highlighted. If it is null then a message will be shown to the user.

    - #### showSearchInfoNothingFound

          protected void showSearchInfoNothingFound()

      Message to the user that nothing was found.

    - #### showSearchInfoNoFurtherHits

          protected void showSearchInfoNoFurtherHits()

      Message to the user that nothing was found from the last search postion on.

    - #### findListOfItemsForSearch

          protected java.util.List<itemClass> findListOfItemsForSearch()

      Find the list of items that is used for searching. All the items that are returned must be part of the list context (e.g. part of the list of items or part of the item tree).

    - #### findNextSearchInfo

          protected org.eclnt.jsfserver.elements.impl.FIXGRIDBinding.TextSearcher.SearchInfo findNextSearchInfo(FIXGRIDItem selectedItem,
                                                                                                                boolean dirNext)

      Find next search info. In this method the actual search is executed.

    - #### setText

          public void setText(java.lang.String value)

    - #### getText

          public java.lang.String getText()

    - #### getSearchResult

          public java.lang.String getSearchResult()

      Result string that is shown within the grid functions' default popup.

    - #### clearSearchResult

          public void clearSearchResult()

    - #### getCaseSensitive

          public boolean getCaseSensitive()

    - #### setCaseSensitive

          public void setCaseSensitive(boolean value)

    - #### getFoundNextRow

          public boolean getFoundNextRow()

      Boolean value that is set after each search. If the search was successful then it is set to true, otherwise it is set to false.

Copyright © CaptainCasa Gmbh. All Rights Reserved.